#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);
    int n,i;
    double s=0,maks;
    cin>>n;
    vector<pair<double,double>> V(n);
    for(i=0;i<n;i++)
    {
        cin>>V[i].second>>V[i].first;
        s+=V[i].second;
    }
    sort(V.begin(),V.end());
    maks=(s*V[0].first)/100;
    for(i=1;i<n;i++)
    {
        s-=V[i-1].second;
        if((s*V[i].first)/100.0>maks)maks=(s*V[i].first)/100.0;
    }
    cout<<fixed<<showpoint<<setprecision(4)<<maks;
    return 0;
}